4、安装MangosZero服务器 step 1

版权声明: https://blog.csdn.net/oop4587/article/details/80317801

【续】

./getmangos.sh	//选择OK

用户选择,游戏缺省带一个mangos账户(管理员级别),用户选择,不是输入密码。/
  选择游戏版本,zero-0 是60级的

  源代码路径,推荐 /home/<run user>/<wow version>/src路径   /home/mangos/zero/src   回复'Yes'建立目录,如果目录已有,会让您确认是否删除旧目录
  安装路径,推荐/home/<run user>/<wow version>路径 /home/mangos/zero
  克隆或升级MaNGOS,第一次全新选择0,安装器会自动连接Github检查下载,现在是Re21。
  过程中会出现是否选择22分支,还是选择缺省master。改为master

 
当您选择一些简单的任务后(安装、下载程序,设置目录之类。可以选择既有。但是要注意最好记录一下文件目录和用户密码之类的东西,因为有一些人可能对命令行模式的命令不是很熟悉。),就会进入关键的编译部分。
编译选项,需要你做出一些选择。进入编译部分的标志时,出现以下编译选项的选择页面,以便进行编译。

缺省建议如上,0为不要,注意不要选择错误。
  选择OK开始编译,速度取决于你的计算机系统,可以去喝杯水或者咖啡。

如果您前面已经按照我写的把前序内容都安装无误,那么编译会非常顺利,直至编译成功,进入下一个内容。否则,就会出现错误。
这里,把“有可能”出现的错误说一下:

(1)

CMake 3.0 or higher is required, you are running verison 2.8.12.2

出现这个错误很简单,如果你的cmake编译器是3.0就不会出现这个错误,如果和我一样是通过CD安装的自带编译器就是2.8版本。这时候,您就需要上网安装cmake3. 问题是安装后,.getmangos.sh并不会自动选择3.0。因为cmake是2.8  cmake3才是执行3.0版本编译。

解决方法:

安装cmake3

备份getmangos.sh
 :1,$s/cmake/cmake3/g  //替换getmangos.sh
  替换掉getmangos.sh中所有cmake为cmake3后成功。
(2)ACE错误


详见前面的文件。

 # vi /etc/ld.so.conf.d/ace.conf
  在文件中增加如下信息:
  /usr/local/ACE/lib  【改为/home/ACE_wrappers/lib】
  # ldconfig	//执行

任何时候 编译出现错误。都需要重新运行.getmangos.sh来启动(选择编译及后面选项即可)
直至编译成功:

当100%编译完成后,会自动进入安装过程,界面如下:



阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页